---
layout: mockup
title: "Clocks - Alarms"
theme: Adwaita/Adwaita.css
permalink: clocks/alarm
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/clocks.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div id="titlebarClocksAlarms" class="titlebar grouped" title="Clocks">
		<!-- left button group -->
		<div class="button-group float-left">
			<!-- <a class="button text-button" id="addAlarm" onclick="$('#newAlarmDialog').show();" class="text-center">New</a> -->
			<a class="button image-button" id="addAlarmIcon" onclick="$('#newAlarmDialog').show();" class="text-center">{%- include symbolic/actions/list-add-symbolic.svg -%}</a>
		</div>
		<!-- center button group -->
		<div class="button-group float-center wide hide-on-mobile">
			<div class="view-switcher">
				<a class="" href="{{ site.baseurl }}/clocks/world"><div class="icon s16">{%- include symbolic/maps/globe-symbolic.svg -%}</div><span>World</span></a
				><a class="active" href="{{ site.baseurl }}/clocks/alarm"><div class="icon s16">{%- include symbolic/status/alarm-symbolic.svg -%}</div><span>Alarms</span></a
				><a class=""  href="{{ site.baseurl }}/clocks/stopwatch"><div class="icon s16">{%- include symbolic/apps/stopwatch-symbolic.svg -%}</div><span>Stopwatch</span></a
				><a class="" href="{{ site.baseurl }}/clocks/timer"><div class="icon s16">{%- include symbolic/apps/timer-symbolic.svg -%}</div><span>Timer</span></a>
			</div>
		</div>
		<!-- right button group -->
		<div class="button-group float-right"><a class="button image-button">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<div class="row">
				<div class="alarmItem activeAlarm morningAlarm" id="alarm1">
					<div class="label-group float-left">
						<label class="alarmTitle dim-label bold-label">Work Alarm</label>
						<label class="alarmTime large-label">8:00 AM</label>
						<label class="alarmRepeat dim-label">Mon, Tue, Wed, Thu, Fri</label>
					</div>
					{%- include components/listrow-menu-button.html icon = "actions/document-edit" onclick = "$('#configureAlarmDialog').show();" %}
					{%- include components/switch.html float = "right" checked = "checked" onclick = "$('#alarm1').toggleClass('inactiveAlarm').toggleClass('activeAlarm');" -%}
				</div>

				<div class="alarmItem activeAlarm morningAlarm" id="alarm2">
					<div class="label-group float-left">
						<label class="alarmTitle dim-label bold-label">Morning Alarm</label>
						<label class="alarmTime large-label">9:00 AM</label>
						<label class="alarmRepeat dim-label">Every Day</label>
					</div>
					{%- include components/listrow-menu-button.html icon = "actions/document-edit" onclick = "$('#configureAlarmDialog').show();" %}
					{%- include components/switch.html float = "right" checked = "checked" onclick = "$('#alarm2').toggleClass('inactiveAlarm').toggleClass('activeAlarm');" -%}
				</div>

				<div class="alarmItem inactiveAlarm afternoonAlarm titleless" id="alarm3">
					<div class="label-group float-left">
						<label class="alarmTime large-label">1:00 PM</label>
						<label class="alarmRepeat dim-label">Mon, Thu</label>
					</div>
					{%- include components/listrow-menu-button.html icon = "actions/document-edit" onclick = "$('#configureAlarmDialog').show();" %}
					{%- include components/switch.html float = "right" checked = "" onclick = "$('#alarm3').toggleClass('inactiveAlarm').toggleClass('activeAlarm');" -%}
				</div>

				<div class="alarmItem activeAlarm afternoonAlarm" id="alarm4">
					<div class="label-group float-left">
						<label class="alarmTitle dim-label bold-label">Pickup Joey</label>
						<label class="alarmTime large-label">3:00 PM</label>
						<label class="alarmRepeat dim-label">Weekdays</label>
					</div>
					{%- include components/listrow-menu-button.html icon = "actions/document-edit" onclick = "$('#configureAlarmDialog').show();" %}
					{%- include components/switch.html float = "right" checked = "checked" onclick = "$('#alarm4').toggleClass('inactiveAlarm').toggleClass('activeAlarm');" -%}
				</div>

				<div class="alarmItem activeAlarm eveningAlarm" id="alarm5">
					<div class="label-group float-left">
						<label class="alarmTitle dim-label bold-label">Evening Alarm</label>
						<label class="alarmTime large-label">7:00 PM</label>
						<label class="alarmRepeat dim-label">Wed, Thu, Fri</label>
					</div>
					{%- include components/listrow-menu-button.html icon = "actions/document-edit" onclick = "$('#configureAlarmDialog').show();" %}
					{%- include components/switch.html float = "right" checked = "checked" onclick = "$('#alarm5').toggleClass('inactiveAlarm').toggleClass('activeAlarm');" -%}
				</div>
			</div>
		</div>
	</div>
	<!-- Edit Alarm Dialog -->
	<div class="gtkdialog" id="configureAlarmDialog">
		<div class="gtkdialog-window action-dialog">
			<div class="titlebar" title="Edit Alarm">
				<a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="configureAlarmDone" onclick="$('.gtkdialog').hide();">Done</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<div class="text-center">
						<div class="linked" style="display: inline-block; vertical-align: middle;">
							<input type="number" class="entry left alarmTimeSelect" value="9" min="1" max="12" /><input type="number" class="entry right alarmTimeSelect" value="00" min="0" max="59" />
						</div>
						<div class="linked" style="display: inline-block; vertical-align: middle;">
							<a class="button text-button left pressed" onclick="$(this).toggleClass('pressed');">AM</a
							><a class="button text-button right" onclick="$(this).toggleClass('pressed');">PM</a>
						</div>
					</div>
					<br>
					<ul class="listrow">
						<li>
							<label>Name</label>
							<input class="entry float-right" placeholder="Alarm" id="alarmNameEntry"></input>
						</li>
						<li>
							<label>Repeat</label>
							<div class="float-right" id="clocksAlarmRepeatDays">
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>S</span></a>
								<a class="button circular pressed" onclick="$(this).toggleClass('pressed');"><span>M</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>T</span></a></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>W</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>T</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>F</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>S</span></a>
							</div>
						</li>
						<li>
							<label>Snoozing</label>
							{%- include components/switch.html float = "right" checked = "checked" id = "alarmSnoozingSwitch" -%}
						</li>
						<li>
							<label>Sound</label>
							{%- include components/switch.html float = "right" checked = "checked" id = "alarmSnoozingSwitch" -%}
						</li>
						<li>
							<label>Alert Sound</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="displayRefreshRateStatus">Beep</label>
						</li>
						<!-- <li class="text-center"><label class="destructive-action" id="configureAlarmDelete">Delete Alarm</label></li> -->
					</ul>
					<br>
					<a class="button text-button destructive-action" id="">Delete Alarm</a>
				</div>
			</div>
		</div>
	</div>
	<!-- New Alarm Dialog -->
	<div class="gtkdialog" id="newAlarmDialog">
		<div class="gtkdialog-window action-dialog">
			<div class="titlebar" title="New Alarm">
				<a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="configureAlarmDone" onclick="$('.gtkdialog').hide();">Done</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<div class="text-center">
						<i>[note: this section sucks so ignore it]</i><br>
						<div class="linked" style="display: inline-block; vertical-align: middle;">
							<input type="number" class="entry left alarmTimeSelect" value="12" min="1" max="12"/><input type="number" pattern="[0-9]*" class="entry right alarmTimeSelect" value="10" min="00" max="59" onclick="leadingZeros(this)"/>
						</div>
						<div class="linked" style="display: inline-block; vertical-align: middle;">
							<a class="button text-button left pressed" onclick="$(this).toggleClass('pressed');">AM</a
							><a class="button text-button right" onclick="$(this).toggleClass('pressed');">PM</a>
						</div>
					</div>
					<br>
					<ul class="listrow">
						<li>
							<label>Name</label>
							<input class="entry float-right" placeholder="Alarm" id="alarmNameEntry"></input>
						</li>
						<li>
							<label>Repeat</label>
							<div class="float-right" id="clocksAlarmRepeatDays">
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>S</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>M</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>T</span></a></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>W</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>T</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>F</span></a>
								<a class="button circular" onclick="$(this).toggleClass('pressed');"><span>S</span></a>
							</div>
						</li>
						<li>
							<label>Snoozing</label>
							{%- include components/switch.html float = "right" checked = "checked" id = "alarmSnoozingSwitch" -%}
						</li>
						<li>
							<label>Alert Sound</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="alarmAlertSound">None (Silent)</label>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- toolbar -->
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher">
			<a class="" href="{{ site.baseurl }}/clocks/world"><div class="icon s16">{%- include symbolic/maps/globe-symbolic.svg -%}</div><span>World</span></a
			><a class="active" href="{{ site.baseurl }}/clocks/alarm"><div class="icon s16">{%- include symbolic/status/alarm-symbolic.svg -%}</div><span>Alarms</span></a
			><a class=""  href="{{ site.baseurl }}/clocks/stopwatch"><div class="icon s16">{%- include symbolic/apps/stopwatch-symbolic.svg -%}</div><span>Stopwatch</span></a
			><a class="" href="{{ site.baseurl }}/clocks/timer"><div class="icon s16">{%- include symbolic/apps/timer-symbolic.svg -%}</div><span>Timer</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
$(".checkbox").hide();

function leadingZeros(input) {
	if(!isNaN(input.value) && input.value.length === 1) {
		input.value = '0' + input.value;
	}
}

$('#selectionModeClocksAlarms').hide();

function alarmSelectionMode() {
	$('#selectionModeClocksAlarms').show();
	$('#addAlarm').hide();
	$('#addAlarmIcon').hide();
	$('#titlebarClocksAlarms').hide()
	$('.checkbox').show();
	$('.switch').hide();
	$('.circular').hide();
	$('label.float-right.dim-label').hide();
}	

function alarmSelectionModeCancel() {
	$('#selectionModeClocksAlarms').hide();
	$('#addAlarm').show();
	$('#addAlarmIcon').show();
	$('#titlebarClocksAlarms').show()
	$('.checkbox').hide();
	$('.switch').show();
	$('.circular').show();
	$('label.float-right.dim-label').show();
}	
</script>